.d3d12-test:
  extends:
    - .use-windows_test_msvc
    - .glon12-test-rules
  stage: layered-backends
  dependencies:
    - windows-msvc
  needs:
    - windows-msvc
    - windows_test_msvc
    - !reference [.required-for-hardware-jobs, needs]
  variables:
    GIT_STRATEGY: none # testing doesn't build anything from source
    GALLIUM_DRIVER: d3d12
    WGL_DISABLE_ERROR_DIALOGS: "true"
    D3D12_AGILITY_RELATIVE_PATH: "D3D12\\"
    D3D12_AGILITY_SDK_VERSION: 614

.d3d12-test-piglit:
  extends:
    - .d3d12-test
  script:
    - . _install/piglit_run.ps1
  artifacts:
    when: on_failure
    name: "mesa_${CI_JOB_NAME}"
    paths:
      - logs/
  variables:
    PIGLIT_SKIPS: d3d12-skips.txt
    PIGLIT_FLAKES: d3d12-flakes.txt

test-d3d12-quick_gl:
  extends:
    - .d3d12-test-piglit
  variables:
    PIGLIT_SUITE: d3d12-quick_gl.toml
    PIGLIT_BASELINE: d3d12-quick_gl.txt

test-d3d12-quick_shader:
  extends:
    - .d3d12-test-piglit
  variables:
    PIGLIT_SUITE: d3d12-quick_shader.toml
    PIGLIT_BASELINE: d3d12-quick_shader.txt

test-d3d12-vainfo:
  extends:
    - .d3d12-test
  script:
    - . _install/vainfo_run.ps1
